%define name	icewm
%define version	1.2.23
%define theirversion 1.2.23
%define prefix  /usr/X11R6
%define release 3mdk

%define with_light 1
%define with_gnome 1
%{?_with_no_light: %{expand: %%global with_light 0}}
%{?_with_no_gnome: %{expand: %%global with_gnome 0}}

%define light_apps          icewm icesh icewmbg icewmhint icewm-session
%define default_apps        %{light_apps} icehelp
%define gnome_apps          %{default_apps} icesound

Name:		%{name}
Summary:	X11 Window Manager
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Graphical desktop/Icewm

Source:		http://download.sourceforge.net/icewm/icewm-%{theirversion}.tar.bz2
Source1:	mandrake.xpm.bz2
Source2:	themes.tar.bz2
Source3:	icewm.menu
Source4:	icewm.menu-method
Source5:	icewm-16.png
Source6:	icewm-32.png
Source7:	icewm-48.png
Source8:	icewm-starticewm
Source9:	icewm-monochrome.tar.bz2
Source10:	icewm-galaxy.tar.bz2

Patch0:		icewm-1.2.23-mdkconf.patch.bz2
Patch1:		icewm-1.0.8-xcin_bindy.patch.bz2
Patch2:		icewm-1.2.13pre3-defaultfont.patch.bz2
Patch3:		icewm-1.2.23-always-fontset.patch.bz2
Patch4:		icewm-1.2.0-winoptions.patch.bz2
Patch7:		icewm-1.2.0pre1-libsupc++.patch.bz2
Patch8:		icewm-1.2.5-lib64.patch.bz2
Patch10:	icewm-desktop.patch.bz2
Patch11:	icewmbg-1.2.14pre11-fixcrash.patch.bz2
Patch12:	icewm-1.2.14pre11-background.patch.bz2
# (fc) 1.2.15-0.pre3.2mdk fix background dithering
Patch15:	icewm-1.2.15pre3-dither.patch.bz2
# (fl) set default theme
Patch16:	icewm-1.2.16-default-theme.patch.bz2
# (fl) fix compilation warning
Patch17:	icewm-1.2.14pre11-fix-warning.patch.bz2
Patch18:	icewm-1.2.20-more_virtual_desktops.patch.bz2
Patch19:	icewm-1.2.23-fix-light-build.patch.bz2

URL:		http://www.icewm.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	XFree86
BuildRequires:	autoconf2.5
BuildRequires:	gettext
BuildRequires:	libpcap-devel
BuildRequires:	xpm-devel
BuildRequires:	libimlib-devel
BuildRequires:	gnome-desktop-devel
Requires:	mandrake_desk >= 7.1-1mdk, %{name}-light >= %{version}
Requires:	xlockmore
# due to some theme move between icewm and icewm-light, urpmi needs help
Conflicts:	icewm-light < 1.2.20

%description
Window Manager for X Window System. Can emulate the look of Windows'95, OS/2
Warp 3,4, Motif or the Java Metal GUI. Tries to take the best features of the
above systems. Features multiple workspaces, opaque move/resize, task bar,
window list, mailbox status, digital clock. Fast and small.

%package light
Summary:	A light version of Icewm
Group:		Graphical desktop/Icewm
Requires(post): menu >= 2.1.5-4mdk
Requires(postun): menu >= 2.1.5-4mdk
# due to some theme move between icewm and icewm-light, urpmi needs help
Conflicts:	icewm < 1.2.20

%description light
Window Manager for X Window System. Can emulate the look of Windows'95, OS/2
Warp 3,4, Motif or the Java Metal GUI. Tries to take the best features of the
above systems. Features multiple workspaces, opaque move/resize, task bar,
window list, mailbox status, digital clock. Fast and small.

This is the light version with minimal features.


%if %{with_gnome}
%package gnome
Summary:        A gnome compatible version of Icewm
Group:          Graphical desktop/Icewm
Requires:       %{name}-light = %{version}

%description gnome
Window Manager for X Window System. Can emulate the look of Windows'95, OS/2
Warp 3,4, Motif or the Java Metal GUI. Tries to take the best features of the
above systems. Features multiple workspaces, opaque move/resize, task bar,
window list, mailbox status, digital clock. Fast and small.

This is the GNOME version with full GNOME support and with some experimental 
options enabled.
%endif

%prep
%setup -q -a 2 -a 9 -a 10 -n %name-%theirversion
%patch0 -p1 -b .mdkconf
%patch1 -p1 -b .xcin_bindy
%patch2 -p1 -b .defaultfont
%patch3 -p1 -b .fontset
%patch4 -p1 -b .winoptions
%patch7 -p1 -b .libsupc++
%patch8 -p1 -b .lib64
%patch10 -p1 -b .desktop
%patch11 -p1 -b .nocrash
%patch12 -p1 -b .background
%patch15 -p1 -b .dither
%patch16 -p1 -b .default-theme
%patch17 -p1 -b .fix-warning
%patch18 -p1 -b .more_desktop
%patch19 -p1
autoconf

rm -f po/en.* #- en is not a valid locale

bzcat %{SOURCE1} > lib/taskbar/mandrake.xpm
mv galaxy-icewm/Galaxy themes

chmod -R a+rX themes
find themes -type f | xargs chmod a-x

%build

# moving everything to default
mv %{_builddir}/%{name}-%{theirversion} %{_builddir}/%{name}-%{theirversion}-default
install -d %{_builddir}/%{name}-%{theirversion}
mv %{_builddir}/%{name}-%{theirversion}-default %{_builddir}/%{name}-%{theirversion}/default
cd .
# then creating duplicates
for i in light gnome; do cp -a default $i; done

COMMON_CONFIGURE="--sysconfdir=/etc --enable-i18n --enable-nls --with-docdir=%{_docdir} --with-libdir=%{prefix}/lib/X11/%{name}"

%if %{with_light}
echo "Light Version"
(
	cd light
	CXXFLAGS="$RPM_OPT_FLAGS" %configure2_5x $COMMON_CONFIGURE --enable-lite
	%make
)
%endif

%if %{with_gnome}
echo "Gnome Version"
(
	cd gnome
	CXXFLAGS="$RPM_OPT_FLAGS" %configure2_5x $COMMON_CONFIGURE \
		--with-icesound=oss,esd --enable-menus-gnome2 \
		--enable-xfreetype --enable-antialiasing --enable-gradients --enable-guievents
	%make
)
%endif

echo "Standard Version"
(
	cd default
	CXXFLAGS="$RPM_OPT_FLAGS" %configure2_5x $COMMON_CONFIGURE
	%make
)

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std -C default

# --with-bindir doesn't work
install -d $RPM_BUILD_ROOT%{prefix}/bin
mv $RPM_BUILD_ROOT/usr/bin/* $RPM_BUILD_ROOT%{prefix}/bin

%if %{with_light}
for binary in %{light_apps}; do 
   install light/src/${binary} $RPM_BUILD_ROOT%{prefix}/bin/${binary}-light
done
%endif

%if %{with_gnome}
for binary in %{gnome_apps}; do 
   install gnome/src/${binary} $RPM_BUILD_ROOT%{prefix}/bin/${binary}-gnome
done
%endif

cp -a default/themes $RPM_BUILD_ROOT%{prefix}/lib/X11/%{name}

install -D -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_menudir}/%{name}
install -D -m755 %{SOURCE4} $RPM_BUILD_ROOT/etc/menu-methods/%{name}

# icon
install -D -m644 %{SOURCE6} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m644 %{SOURCE5} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m644 %{SOURCE7} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

excludes_patt="\(themes/Galaxy\|icewm/icons/\(app_\|xterm_\)\)"
(cd $RPM_BUILD_ROOT%{prefix} ; find lib/X11/%{name}/{icons,themes} ! -type d -printf "%{prefix}/%%p\n") | grep -v "$excludes_patt" > other.list
(cd $RPM_BUILD_ROOT%{prefix} ; find lib/X11/%{name}/{icons,themes}   -type d -printf "%%%%dir %{prefix}/%%p\n") | grep -v "$excludes_patt" >> other.list

# wmsession support
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmsession.d/
cat << EOF > $RPM_BUILD_ROOT/etc/X11/wmsession.d/07IceWM
NAME=IceWM
ICON=icewm-wmsession.xpm
EXEC=/usr/X11R6/bin/starticewm
DESC=Lightweight desktop environment
SCRIPT:
exec /usr/X11R6/bin/starticewm
EOF

install -m 755 %{SOURCE8} $RPM_BUILD_ROOT%{prefix}/bin/starticewm

# Dadou - 1.0.9-0.pre1.5mdk - Change default background color for MDK color
perl -pi -e "s!# DesktopBackgroundColor=.*!DesktopBackgroundColor=\"\"!" %buildroot%{prefix}/lib/X11/icewm/preferences

%find_lang %{name}
cat %{name}.lang >> other.list

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with_light}
%post light
for app in %{light_apps}; do
	update-alternatives --install %{prefix}/bin/${app} ${app} %{prefix}/bin/${app}-light 10
done
	
%{make_session}
if [ -x %{_bindir}/update-menus ]; then %{_bindir}/update-menus; fi

%postun light
if [ "$1" = 0 ]; then
    	if [ -x %{_bindir}/update-menus ]; then %{_bindir}/update-menus; fi
	for app in %{light_apps}; do
		update-alternatives --remove ${app} %{prefix}/bin/${app}-light
	done
fi
%{make_session}
%endif

%if %{with_gnome}
%post gnome
for app in %{light_apps}; do
	update-alternatives --install %{prefix}/bin/${app} ${app} %{prefix}/bin/${app}-gnome 30
done
%{make_session}

%postun gnome
if [ "$1" = 0 ]; then
	for app in %{light_apps}; do
		update-alternatives --remove ${app} %{prefix}/bin/${app}-gnome
	done
fi
%{make_session}
%endif

#- standard
%post
for app in %{default_apps}; do
	update-alternatives --install %{prefix}/bin/${app} ${app} %{prefix}/bin/${app} 20
done
%{make_session}

%postun
if [ "$1" = 0 ]; then
	for app in %{default_apps}; do
		update-alternatives --remove ${app} %{prefix}/bin/${app}
	done
fi
%{make_session}

%files -f other.list
%defattr(-,root,root)
%doc default/README default/COPYING default/AUTHORS default/CHANGES default/TODO default/BUGS
%doc default/doc/*.html default/doc/icewm.sgml
%{prefix}/bin/icesh
%{prefix}/bin/icehelp
%{prefix}/bin/icewm
%{prefix}/bin/icewm-session
%{prefix}/bin/icewmbg
%{prefix}/bin/icewmhint
%{prefix}/bin/icewmtray

%files light
%defattr(-,root,root)
%doc light/COPYING
%dir %{prefix}/lib/X11/%{name}
%dir %{prefix}/lib/X11/%{name}/themes
%dir %{prefix}/lib/X11/%{name}/icons
%dir %{prefix}/lib/X11/%{name}/ledclock
%dir %{prefix}/lib/X11/%{name}/taskbar
%dir %{prefix}/lib/X11/%{name}/mailbox
/etc/menu-methods/%{name}
%config(noreplace) /etc/X11/wmsession.d/*
%{prefix}/bin/starticewm
%{prefix}/lib/X11/%{name}/mailbox/*
%{prefix}/lib/X11/%{name}/taskbar/*
%{prefix}/lib/X11/%{name}/ledclock/*
%{prefix}/lib/X11/%{name}/icons/app_*
%{prefix}/lib/X11/%{name}/icons/xterm_*
%{prefix}/lib/X11/%{name}/keys
%{prefix}/lib/X11/%{name}/menu
%{prefix}/lib/X11/%{name}/preferences
%{prefix}/lib/X11/%{name}/toolbar
%{prefix}/lib/X11/%{name}/winoptions
#%{prefix}/lib/X11/%{name}/programs
%{prefix}/lib/X11/%{name}/themes/Galaxy
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%if %{with_light}
%{prefix}/bin/*-light
%endif

%if %{with_gnome}
%files gnome
%defattr(-,root,root)
%doc gnome/COPYING
%{prefix}/bin/*-gnome
%endif

%changelog
* Mon Aug 22 2005 Pixel <pixel@mandriva.com> 1.2.23-3mdk
- use www-browser in the toolbar

* Thu Aug 18 2005 Pixel <pixel@mandriva.com> 1.2.23-2mdk
- fix mute/unmute
- remove broken mozilla calls, use www-browser for one
- fix requires post&postun (thanks to pterjan)

* Wed Aug 17 2005 Pixel <pixel@mandriva.com> 1.2.23-1mdk
- new release
- update patch0
- fix building icewm-light
- replace prereq

* Wed Mar 30 2005 Warly <warly@mandrakesoft.com> 1.2.20-4mdk
- add support for 24 virtual desktops

* Thu Feb 17 2005 Pixel <pixel@mandrakesoft.com> 1.2.20-3mdk
- add some Conflict (due to some theme move between icewm and icewm-light, urpmi needs help)

* Wed Feb 16 2005 Pixel <pixel@mandrakesoft.com> 1.2.20-2mdk
- allow not building light or gnome binaries
- remove requires-on-release from icewm-gnome
- have monochrome theme in the themes directory directly in the tarball
- no need to FIX CRASHES for microGUI/complex and Kubical1.2
- have the Galaxy be the real galaxy theme
- put the default theme (Galaxy) in icewm-light (otherwise the default icewm-light theme is broken)
- better regexp to help dropping many app_* and xterm_* xpms
- icesound now builds again
- fix requires-on-release
- fix icewm menu entry
- fix rights on xpm files
- /etc/menu-methods/icewm is no more marked as a config file
- cleanup

* Sun Feb 13 2005 Crispin Boylan <viewtronix@uklinux.net> 1.2.20-1mdk
- new version
- cleanup build options
- gnome 2 menus

* Tue Nov 30 2004 Pixel <pixel@mandrakesoft.com> 1.2.16-3mdk
- make icewm depend on xlockmore, not icewm-light

* Thu Oct  7 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.2.16-2mdk
- set default theme (patch 16)
- add MCC to toolbar
- merged patch1 and patch9
- depend on xlockmore
- make halt and reboot work

* Wed Oct  6 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.2.16-1mdk
- 1.2.16 (bug fix for full screen apps)

* Fri Oct 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.15-0.pre3.2mdk
- Patch15: fix background dithering

* Wed Aug  4 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.2.15-0.pre3.1mdk
- 1.2.15pre3

* Tue Mar 23 2004 Florin <florin@mandrakesoft.com> 1.2.14-0.pre11.1mdk
- 1.2.14pre11
- update the config patch
- update the fixcrash patch
- update the showdesktop patch
- add the VERSION patch to fix the Help
- add the fr_po patch
- modify the background patch (use default.png)
- add some popular themes
- use mis-fixed fonts instead of adobe-helvetica

* Fri Nov 14 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.13-5mdk
- Test all themes with different user configs to find out what combinations
  causes icewm to core dump.
- Fix Kubical and microGui/complex.theme, they were crashing in case the
  windowlist icon the virtual desktops were disabled in user preferences
- TODO: Some themes use non-existant fonts, and in some cases, the font gets
  replaced by an ugly font from the package fonts-ttf-decoratives. This
  is not a bug in icewm per se, but we'll need to do some research to find
  out why it's happening. [Found it! It's the Beast Wars font!] 
- Add monochrome theme, so that NCD monochrome terminal users have a useable
  setup. This can also be ideal for people with daltonism, or other visual 
  impairment (5 million people in Europe, 8.3 million in USA!)

* Fri Nov 07 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.13-3mdk
- modify startup script so it launches icewm-desktop if present. This script
  can be provided with ROX or dfm to put icons on the desktop.

* Fri Nov 07 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.13-2mdk
- Fix icewmbg crashes

* Wed Oct 08 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.13-1mdk
- Final, out of the rc cycle vertion
- fix menu-method to include crystalsvg icons

* Wed Oct 08 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.13-0.3.2mdk
- add desktop icon (to minimize all applications like in KDE)

* Tue Sep 16 2003 Florin <florin@mandrakesoft.com> 1.2.13-0.3.1mdk
- 1.2.13pre3
- update the terminal command in the menu-method
- update the defaultfont patch

* Wed Sep 10 2003 Florin <florin@mandrakesoft.com> 1.2.13-0.1.3mdk
- fix the updates alternatives

* Thu Sep 04 2003 Florin <florin@mandrakesoft.com> 1.2.13-0.1.2mdk
- buildrequires libpcap-devel instead of libpcap0-devel

* Tue Sep 02 2003 Florin <florin@mandrakesoft.com> 1.2.13-0.1.1mdk
- 1.2.13pre1

* Thu Aug 28 2003 Florin <florin@mandrakesoft.com> 1.2.12-1mdk
- 1.2.12

* Wed Aug 20 2003 Florin <florin@mandrakesoft.com> 1.2.10-0.11.1mdk
- 1.2.10pre11
- update the default patch

* Tue Aug 19 2003 Florin <florin@mandrakesoft.com> 1.2.10-0.9.1mdk
- 1.2.10pre9
- update the defaultfont, always-fontset patchces

* Tue Aug 19 2003 Florin <florin@mandrakesoft.com> 1.2.9-3mdk
- add the default font patch instead of the CLE patch

* Fri Jul 04 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.9-2mdk
- put / at the end of the url after strong wishes from David Walser:)

* Thu Jul 03 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.9-1mdk
- 1.2.9
- use double %%'s in changelog to avoid macros gettin expanded
- updated url
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- regenerated P0
- dropped P5
- remove the programs file
- drop FAQ* from %%doc
- add the icewmtray file

* Thu Apr 03 2003 Florin <florin@mandrakesoft.com> 1.2.7-1mdk
- 1.2.7
- update the mdkconf patch

* Fri Jan 24 2003 Florin <florin@mandrakesoft.com> 1.2.6-1mdk
- 1.2.6

* Tue Jan 21 2003 Florin <florin@mandrakesoft.com> 1.2.5-2mdk
- better use of the default theme (thx piwel for pointing this out)

* Thu Jan 09 2003 Florin <florin@mandrakesoft.com> 1.2.5-1mdk
- 1.2.5
- update the mdkconf and lib64 patches
- add the programs file

* Sat Nov 30 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.2-2mdk
- Use %%find_lang macro, remove unpackaged files
- Patch8: libdatadir shall remain to %%{_prefix}/lib/X11/icewm

* Wed Oct 16 2002 Florin <florin@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2
- update the mdkconf, always-fontset patches

* Tue Sep 10 2002 Florin <florin@mandrakesoft.com> 1.2.0-5mdk
- new themes, new default theme (microGUI)
- better keys file
- keep color from Xsession instead of forcing them (Flepied)

* Thu Sep 05 2002 Florin <florin@mandrakesoft.com> 1.2.0-4mdk
- fix the mozilla icon in toolbar

* Sat Aug 03 2002 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-3mdk
- BuildRequires autoconf2.5

* Thu Jul 25 2002 Daouda LO <daouda@mandrakesoft.com> 1.2.0-2mdk
- remove .xvpics dir.

* Sat Jul 20 2002 Daouda LO <daouda@mandrakesoft.com> 1.2.0-1mdk
- final release 1.2.0
- zh_CN patch merged upstream
- Patch regenerations

* Mon Jul  8 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.0-0.pre1.3mdk
- Patch7: Link with libsupc++ to get C++ memory allocators

* Mon Jul 01 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.0-0.pre1.2mdk
- Fix zh_CN extra %% character. Doesn't show up on our own ix86 box but it 
  barfs on the Alpha. Fix applied for all architectures.

* Fri May 24 2002 Florin <florin@mandrakesoft.com> 1.2.0-0.pre1.1mdk
- 1.2.0pre1
- add the YIMP patch
- update the winoptions and the mdkconf patches

* Wed Feb 20 2002 Florin <florin@mandrakesoft.com> 1.0.9-10mdk
- fix a typo in update alternatives

* Wed Feb 20 2002 Florin <florin@mandrakesoft.com> 1.0.9-9mdk
- rm bluePlastic theme from the icewm package
- add some more winoptions (thx to D.Walser)

* Tue Feb 19 2002 Florin <florin@mandrakesoft.com> 1.0.9-8mdk
- make sure we use only png pictures

* Tue Feb 19 2002 Florin <florin@mandrakesoft.com> 1.0.9-7mdk
- update the mdkconf patch
- new colour scheme in icewm-starticewm
- add the winoptions patch
- stop removing the original themes
- update the taskbar icons names
- convert the xpm images into png 

* Wed Jan 30 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.9-6mdk
- Fix CJK fontset (this SUCKS!!)

* Fri Jan 25 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.0.9-5mdk
- rebuilt to have the correct dependency on libfreetype.

* Mon Jan 21 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.9-4mdk
- BuildRequires

* Thu Dec 13 2001 Florin <florin@mandrakesoft.com> 1.0.9-3mdk
- 1.0.9-2 sources

* Mon Oct 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.9-2mdk
- libpng3

* Tue Oct 09 2001 Florin <florin@mandrakesoft.com> 1.0.9-1mdk
- 1.0.9
- merge with the original spec

* Mon Oct 1 2001 Geoff <snaitlalk@mandrakesoft.com> 1.0.9-0.pre1.17mdk
- Remove mutt Requires.

* Tue Sep 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.9-0.pre1.16mdk
- Add gnome-libs-devel and xpm-devel as BuildRequires.
- Add mutt as a Requires. The mailer on the taskbar is non-configurable, it
  defaults to pine in the stock version but it's been patched to use mutt.
  
* Mon Sep 24 2001 Florin <florin@mandrakesoft.com> 1.0.9-0.pre1.15mdk
- increase the 63 char limit in menus to 128

* Sun Sep 23 2001 Florin <florin@mandrakesoft.com> 1.0.9-0.pre1.14mdk
- use mutt as default mailer instead of pine

* Sat Sep 22 2001 Florin <florin@mandrakesoft.com> 1.0.9-0.pre1.13mdk
- remove the useless update-menu for standard and gnome versions (thx F.Lepied)
- enable-i18n and enable-nls for icewm-light (G.Lee's idea)
- use xvt for the terminal and terminals_section.xpm icon (also G.Lee's idea)

* Fri Sep 21 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.9-0.pre1.12mdk
- fixed fontsets

* Thu Sep 20 2001 Florin <florin@mandrakesoft.com> 1.0.9-0.pre1.11mdk
- starticewm uses new colour
- back to icewm again instead of standard one (it breaks the update)
- remove the experimental stuff in icewm-gnome
- remove the -fn parameter in the default terminal entry (menu-method) 

* Tue Sep 11 2001 Florin <florin@mandrakesoft.com> 1.0.9-0.pre1.10mdk
- add the %%{release} in require to make the upgrades work

* Mon Sep 10 2001 Florin <florin@mandrakesoft.com> 1.0.9-0.pre1.9mdk
- make things work again (it's been a while)
- use the %%{name} where possible
- modify the 3 configure sections :light, gnome, standard
- fix the fr and hu po files
- modify the update alternatives sections
- add several interfaces in preferences
- merge the themes added by yves with the others
- fix the menu entries
- the main binary is now called icewm-standard
- update the icewm-menu.method (the xterm xpm)
- bring back the nice default mandrake xpm on the taskbar
- fix the mdkconf patch
- remove the links from the post icewm-gnome and icewm-standard sections

* Wed Sep 05 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.9-0.pre1.8mdk
- fix BR

* Mon Sep 03 2001 Florin <florin@mandrakesoft.com> 1.0.9-0.pre1.7mdk
- bring back the ja, pt and chinese po files
- add the po patch

* Fri Aug 31 2001 Yves Duret <yduret@mandrakesoft.com> 1.0.9-0.pre1.6mdk
- readd wmsession file.

* Fri Aug 31 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.9-0.pre1.5mdk
- Use colors from 8.1 graphical charter

* Sat Aug 25 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.0.9-0.pre1.4mdk
- use /etc/X11/icewm instead of /etc/X11/X11/icewm

* Fri Aug 10 2001 Florin <florin@mandrakesoft.com> 1.0.9-0.pre1.3mdk
- add /bin/sh in requires

* Wed Aug 08 2001 Yves Duret <yduret@mandrakesoft.com> 1.0.9-0.pre1.2mdk
- moved gnome support to icewm-gnome package
- icewm does not more requires gnome 

* Tue Aug 07 2001 Yves Duret <yduret@mandrakesoft.com> 1.0.9-0.pre1.1mdk
- version 1.0.9pre1
- removed patch{1,5,7,9,13} merged upstream
- removed patch{2,3,4,6,12} useless (not applied btw)
- adapted zh patch{10,11}
- do not mess mdkconfig and xcinintegration in patch10
- temporaly remove icesound (build broken)
- temporaly remove ja, pt_BR, zh_TW.Big5 l10n (broken)
- added some cool gradient/shapped themes (source9)

* Tue Jul 3 2001 Florin <florin@mandrakesoft.com> 1.0.8-3mdk
- add an exec in the starticewm to avoid a useless remaining process

* Sun Jul 01 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.8-2mdk
- BuildRequires:        db1-devel
- BuildRequires:        gnome-libs-devel
- BuildRequires:        libjpeg-devel
- BuildRequires:        libpng-devel
- BuildRequires:        libtiff-devel
- BuildRequires:        libungif-devel
- BuildRequires:        xpm-devel

* Thu May 10 2001 Florin <florin@mandrakesoft.com> 1.0.8-1mdk
- 1.0.8-6
- update all the patches

* Sun Apr 22 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.7-5mdk
- Add patch to have the option GNOMEShowMenu to display or not display
  Gnome Menus (chmoufeature).
  
* Thu Apr 11 2001 Florin <florin@mandrakesoft.com> 1.0.7-4mdk
- fix the update-alternatives (thx to Pixel)
- clean the uninstalling by adding directories in files 
- fix the rm line in post

* Thu Apr 11 2001 Florin <florin@mandrakesoft.com> 1.0.7-3mdk
- fix some postun typo bug (found my Chmouel - thanks, man)
- add the locale/*mo files


* Tue Mar 27 2001 Florin <florin@mandrakesoft.com> 1.0.7-2mdk
- 1.0.7-7
- added some configure options for the icewm package
- update-alternatives are now auto
- update all the patches
- add the includes patch

* Sun Mar 18 2001 Pixel <pixel@mandrakesoft.com> 1.0.6-4mdk
- don't enable-lite which gives a broken icewm-light

* Fri Mar  2 2001 Andrew Lee <andrew@linux.org.tw> 1.0.6-3mdk
- refine fontset
- add mozilla on toolbar
- fix bindkey conflict xcin
- Geoffrey Lee <snailtalk@mandrakesoft.com>
- Fix the build of icewm (Yuck).

* Mon Feb 19 2001 Florin Grad <florin@mandrakesoft.com> 1.0.6-2mdk
- the 1.0.6-4 release (go figure the way they give the source names)

* Fri Feb  2 2001 Etienne Faure  <etienne@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6
- fixed menu entry

* Mon Dec 18 2000 Florin Grad <florin@mandrakesoft.com> 1.0.5-1mdk
- 1.0.5
- some compilation fixes: --enable-lite, --enable-guievents 

* Fri Oct 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.4-14mdk
- Fix compilation for gcc-2.96.

* Tue Oct 03 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-13mdk
- the isdn patch gives coredumps again

* Mon Oct 02 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-12mdk
- added the isdn patch (thanks to Mathias Hasselmann)
- added the logout patch (thanks again)

* Wed Sep 27 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-11mdk
- fix the theme

* Tue Sep 26 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-10mdk
- the isdn creates some conflicts so I take it away for the moment

* Tue Sep 26 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-9mdk
- added the isdn status patch
- modify the menu method for the default icon
- "new" lighter default theme

* Thu Sep 21 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-8mdk
- transparent icons
- added large icon
- fixed some dangling symlinks

* Tue Sep 19 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-7mdk
- modified the icewm-menu-method for the kde icons (locolor and hicolor ones) and added to iconPath
- added the window-transient patch
- added the tooltips-show-forever patch 
- added the non-latin(1)-(lang)fonts patch 
- added the better-ppp-status patch
- eth0 is now as default in src/default.h

* Wed Sep 6 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-6mdk
- replace rxvt with xterm in menus and shortcuts (priority package is higher)

* Tue Sep 5 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-5mdk
- adding some new themes and fix the terminal command in the task bar
- adding the alternatives method 
- adding a shortcut to rxvt Alt+Ctrl+t

* Mon Sep 4 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-4mdk
- replaced /usr/X11/bin/xsetroot with /usr/X11R6/bin/xsetroot

* Thu Aug 31 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0.4-3mdk
- New wmsession support

* Tue Aug 22 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.4-2mdk
- BM
- more macros
- config(noreplace) the menu-method
- fixed %%install section which was not working anymore

* Tue Jun 13 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4
- comment the gnome-patch

* Tue May  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.3-11mdk
- added an xterm entry in toplevel menu.

* Sun May  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-10mdk
- default panel: rxvt -> xterm because xterm is always installed, not
  rxvt

* Sat Apr 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-9mdk
- added specific menu entries /IceWM/.. with help of Frederic Lepied

* Fri Apr 28 2000 dam's <damien@mandrakesoft.com> 1.0.3-8mdk
- added fndSession call

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-7mdk
- re-fixed menu-method: now prints out the submenu icons
- added icons for the menu entry

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-6mdk
- fixed icons in menu-method: now takes the mini icon if present
  before trying to take the main icon

* Wed Apr 19 2000 dam's <damien@mandrakesoft.com> 1.0.3-5mdk
- Changed iceons.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 1.0.3-4mdk
- Change taskbar icon.

* Fri Apr  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.3-3mdk
- Apply mdkconf patch.

* Fri Apr 07 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.3-2mdk
- remove the hardcoded gnome menu entry
- some minor fixes to spec (clean up , add -q to setup ...)

* Wed Apr  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Sun Apr  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-4mdk
- added support for menu i18n

* Wed Feb 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-3mdk
- added a prereq on menu.

* Mon Feb 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-2mdk
- added menu support.

* Sun Feb 20 2000 Pixel <pixel@mandrakesoft.com> 1.0.2-1mdk
- new version
- clean up (nice spec-helper :)

* Tue Jan 18 2000 Florin Grad <florin@mandrakesoft.com>
- 1.0.1
- obviously icewm is Y2K compliant ;)

* Thu Dec 30 1999 Frederic Lepied <flepied@mandrakesoft.com> 1.0.0-2mdk
- fix perms for /usr/X11R6/lib/X11/icewm/themes/IceGTK.

* Tue Dec 28 1999 Pixel <pixel@mandrakesoft.com>
- 1.0.0

* Tue Dec 21 1999 Florin Grad <florin@mandrakesoft.com>
- add the kde2ice python script
- with-gnome-menu
- remove the background picture
- update of the Mandrake icons
- modify the IconPath in default.c 

* Mon Dec 13 1999 Florin Grad <florin@mandrakesoft.com>
- add FAQ-french
- add rpmdrake in the Mandrake menu
- use a 1024x768 background image instead of a 800x600 one
- 0.9.54

* Sun Nov 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Split icewm in multiple package icewm-light and icewm-gnome(default).

* Fri Nov 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- DesktopBackgoundColor=1 by default.

* Wed Nov 17 1999 Florin Grad <florin@mandrakesoft.com>
- Add a new default background.
- A nice theme collection.
- New default theme.
- New associative icons.
- C-x C-t between xterm and rxvt in menu.

* Wed Nov 17 1999 Damien Krotkine <damien@mandrakesoft.com>
- 0.9.50

* Wed Aug 25 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.9.48

* Mon Aug 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.9.47
- Remove ShowNetStatus by default.

* Fri Aug 13 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 0.9.46
- hope the date (Friday 13th) doesn't affect the stability ;)

* Wed Aug 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 0.9.44
- fix compilation with gcc 2.95

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patch to have a mandrake menus.

* Tue Jul 20 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description from Gregus <gregus@etudiant.net>

* Fri Jul 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Reinserting the mandrake pixmaps.

* Tue Jul 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Patch to have by default a mandrake background.

* Wed Jul 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 0.9.43 :
        - fixes to configure
	- fixed some focusing problems
        - some new netscape icons added
        - fixes to shell command execution (no longer crashes on restart wm)
        - improvement in shaped windows handling
        - allow relative pathname in background image specification
        - made window stacking not interfere with DND icons
        - fix: minimize action in window list is no longer a toggle
        - detect both Alt_L and Alt_R keysf for Alt modifier.
        - configure event coalescing is now done to improve performance

* Tue May 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Reinsertion of mandrake xpm.

* Sun May 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.9.41
- Recreated Chmouel's patches for 0.9.41

* Sat May 22 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 0.9.39, hoping to fix segfaults.
- disable debug

* Mon Apr 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
- Build with Gnome Support
- Handle RPM_OPT_FLAGS.
- Add Mandrake Icons.
- Add patch to make Mandrake Icons by default.
- Add patch to have GTK theme by default instead of Win95 look (BEURK).


